## vala-0.10 0.10.4

=== debian/changelog ===
vala-0.10 (0.10.4-1ubuntu1) natty; urgency=low

  * Reupload vala-0.10 to natty with a new source name, the options are to
    either tweak the version numbers (or use an epoch for 0.10) or to 
    use a different source name since the "vala" source has been used to update 
    to 0.11.
  * debian/control:
    - dropped the "valac" binaries, the default is 0.11
    - renamed the source

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 14 Feb 2011 16:03:00 +0100

vala (0.10.4-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Don't run the testsuite if DEB_BUILD_OPTIONS contains nocheck.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/rules:
    + Don't make testsuite failures fatal on kfreebsd and hppa, the DBus
      tests fail there for an yet unknown reason and this keeps the package
      from migrating to testing.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 13 Mar 2011 13:05:29 +0100

vala (0.10.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control:
    + Make the vala-0.10 Conflicts/Replaces on vala-utils versioned.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Feb 2011 16:56:30 +0100

vala (0.10.3-0.1) experimental; urgency=low

  * Non-maintainer upload with Sebastian's consent.
  * New upstream stable release.
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 13:43:52 +0100

vala (0.10.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Oct 2010 11:42:30 +0200

vala (0.10.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Sep 2010 07:37:17 +0200

vala (0.9.8-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Sep 2010 10:32:13 +0200

vala (0.9.7-2) experimental; urgency=low

  * debian/rules:
    + Don't act on the library package when stripping the valac package,
      otherwise the debug symbols of the library package are stripped
      now already and can't be put into the library debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Aug 2010 17:21:02 +0200

vala (0.9.7-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Aug 2010 09:29:09 +0200

vala (0.9.6-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/01_vala-gen-introspect-script-suffix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 16:00:44 +0200

vala (0.9.5-2) experimental; urgency=low

  * debian/patches/01_vala-gen-introspect-script-suffix.patch:
    + Patch from upstream GIT to add version suffix to the
      vala-gen-introspect binary inside the main script.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Aug 2010 09:52:10 +0200

vala (0.9.5-1) experimental; urgency=low

  * New upstream development release:
    + debian/libvala-0.10-0.install,
      debian/libvala-0.10-dev.install,
      debian/vala-0.10-doc.install,
      debian/valac-0.10.install,
      debian/valac-0.10.postinst,
      debian/valac-0.10.prerm,
      debian/control,
      debian/libvala-dev.install,
      debian/libvala0.install,
      debian/rules,
      debian/vala-doc.install,
      debian/vala-utils.install,
      debian/valac.install:
      - Update everything for the versioned libraries and binaries.
        /usr/bin/valac is now an alternative pointing to valac-0.10,
        valac is a metapackage to select the currently supported valac
        version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Aug 2010 13:35:06 +0200

vala (0.9.4-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Jul 2010 07:58:01 +0200

vala (0.9.3-3) experimental; urgency=low

  * debian/control:
    + Let valac and all other packages explicitely depend on GLib
      >= 2.25.11-3 as the experimental dependency resolvers gets
      confused otherwise.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Jul 2010 11:26:29 +0200

vala (0.9.3-2) experimental; urgency=low

  * debian/control:
    + Build-depend on GLib >= 2.25.11-3 to fix testsuite failures.
    + Lower -dev package GLib dependency to >= 2.16.0.
  * debian/rules:
    + Build Vala files with GLib 2.24 features.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Jul 2010 10:45:28 +0200

vala (0.9.3-1) experimental; urgency=low

  * New upstream development release.
    + debian/valac.install:
      - Ship /usr/bin/vala link, which acts as a "shell" for Vala files.
    + debian/patches/01_dbus-object-path.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Jul 2010 21:33:31 +0200

vala (0.9.2-2) experimental; urgency=low

  * debian/patches/01_dbus-object-path.patch:
    + Patch from upstream GIT to re-add the ObjectPath class
      for backward compatibility (Closes: #586964).
  * debian/rules:
    + Disable automake 1.11 silent rules.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Jun 2010 08:27:17 +0200

vala (0.9.2-1) experimental; urgency=low

  * New upstream development release.
  * debian/rules:
    + Don't use fakeroot for the testsuite and make failures
      fatal (Closes: #572549, #569690). Thanks to Martin
      Pitt for the patch.
  * debian/control:
    + Build depend on GLib >= 2.25.9 for the GDBus tests.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 Jun 2010 14:33:12 +0200

vala (0.9.1-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Jun 2010 17:15:40 +0200

vala (0.8.1-2) unstable; urgency=low

  * debian/patches/0001-glib-2.0-use-g_strcmp0-instead-of-strcmp.patch:
    + Patch from upstream GIT to use g_strcmp0() instead of strcmp()
      as string comparison function.


